For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
Logo
Log inBook a demo
API ReferenceBulk Sync

Activate Bulk Sync

POST
https://app.polytomic.com/api/bulk/syncs/:id/activate
POST
/api/bulk/syncs/:id/activate
$curl -X POST https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/activate \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "active": false
>}'
1{
2 "data": {
3 "active": false,
4 "id": "248df4b7-aa70-47b8-a036-33ac447e668d"
5 }
6}
Sets whether a bulk sync is active. Only active syncs are eligible to execute on their configured schedule. Deactivating a sync prevents future scheduled runs and requests cancellation of any execution that is currently in progress. > 📘 To start or stop a running execution directly, use > [`POST /api/bulk/syncs/{id}/executions`](../../../../../api-reference/bulk-sync/start) > or > [`POST /api/bulk/syncs/{id}/cancel`](../../../../../api-reference/bulk-sync/cancel).
Was this page helpful?
Previous

Cancel Bulk Sync

Next

Sets whether a bulk sync is active.

Only active syncs are eligible to execute on their configured schedule. Deactivating a sync prevents future scheduled runs and requests cancellation of any execution that is currently in progress.

📘 To start or stop a running execution directly, use POST /api/bulk/syncs/{id}/executions or POST /api/bulk/syncs/{id}/cancel.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
activebooleanRequired

Response

OK
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error